@import "../shared/scss/color.scss";

.body {
  margin-top: 70px;
  overflow: auto;
  margin-bottom: 20px;
  .search {
    width: 60%;
    margin: 0 auto;
    display: block;
    overflow: auto;
  }
  .not-found {
    width: 80%;
    margin: 35px auto 30px auto;
    padding: 30px 0;
    display: block;
    overflow: auto;
    background-color: $background-color;
    p {
      font-size: 18px;
      font-weight: bold;
      color: $black-color;
      text-align: center;
    }
  }

  .list {
    position: relative !important;
    width: 80%;
    margin: 0 auto;
    display: block;
    overflow: auto;
    height: 100%;
    min-height: 280px;
    div {
      width: 100%;
      padding: 10px 0;
      h2 {
        font-size: 18px;
      }
      .item {
        background-color: inherit;
        padding: 0;
      }
    }
    .union .item,
    .professor .item {
      display: inline-block;
      width: 25%;
    }
    .content .item,
    .event .item {
      display: inline-block;
      width: 33.33%;
    }
    .search-title {
      padding: 0 5px;
      background-color: inherit;
      margin-top: 0;
      p {
        width: fit-content;
        background-color: $background-color;
        padding: 7px 20px;
        border-radius: 7px;
        font-size: 12px;
        font-weight: bold;
        color: #444444;
        span:nth-child(2) {
          font-size: 10px;
          padding: 0 7px;
        }
      }
    }
  }
}

.loader {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba($color: #000000, $alpha: 0.9);
  z-index: 9999999;
  transition: 0.5s all;
}

.list-loader {
  width: 100%;
  height: 280px;
  background-color: rgba($color: white, $alpha: 1);
  z-index: 999;
  transition: 0.5s all;
  left: 0;
  bottom: 0;
  position: absolute;
}
